# Documentation

Menu

## QROptionsTest extends TestCase
in package

FinalYes
QROptionsTest.php : 22

QROptions test

### Table of Contents

#### Methods

circleRadiusProvider() : array<string|int, array<string|int, float>>
logoSpaceValueProvider() : array<string|int, array<string|int, int>>
RGBProvider() : array<string|int, array<string|int, array<string|int, int>>>
testClampCircleRadius() : void
  Tests clamping of the circle radius
testClampLogoSpaceValue() : void
  Tests the clamping (between 0 and 177) of the logo space values
testLogoSpaceStartNullable() : void
  Tests if the optional logo space start values are nullable
testVersionClamp() : void
  Tests the $version clamping
testVersionMinMaxClamp() : void
  Tests the $versionMin/$versionMax clamping
VersionMinMaxProvider() : array<string|int, array<string|int, int>>
VersionProvider() : array<string|int, array<string|int, int>>

### Methods

#### circleRadiusProvider()

QROptionsTest.php : 132
`public static circleRadiusProvider() : array<string|int, array<string|int, float>>`

##### Return values

array<string|int, array<string|int, float>>

#### logoSpaceValueProvider()

QROptionsTest.php : 85
`public static logoSpaceValueProvider() : array<string|int, array<string|int, int>>`

##### Return values

array<string|int, array<string|int, int>>

#### RGBProvider()

QROptionsTest.php : 74
`public static RGBProvider() : array<string|int, array<string|int, array<string|int, int>>>`

##### Return values

array<string|int, array<string|int, array<string|int, int>>>

#### testClampCircleRadius()

QROptionsTest.php : 145

Tests clamping of the circle radius

`public testClampCircleRadius(float $value, float $expected) : void`

##### Parameters

$value : float
$expected : float

##### Tags

dataProvider

  circleRadiusProvider

#### testClampLogoSpaceValue()

QROptionsTest.php : 100

Tests the clamping (between 0 and 177) of the logo space values

`public testClampLogoSpaceValue(int $value, int $expected) : void`

##### Parameters

$value : int
$expected : int

##### Tags

dataProvider

  logoSpaceValueProvider

#### testLogoSpaceStartNullable()

QROptionsTest.php : 113

Tests if the optional logo space start values are nullable

`public testLogoSpaceStartNullable() : void`

#### testVersionClamp()

QROptionsTest.php : 41

Tests the $version clamping

`public testVersionClamp(int $version, int $expected) : void`

##### Parameters

$version : int
$expected : int

##### Tags

dataProvider

  VersionProvider

#### testVersionMinMaxClamp()

QROptionsTest.php : 64

Tests the $versionMin/$versionMax clamping

`public testVersionMinMaxClamp(int $versionMin, int $versionMax, int $expectedMin, int $expectedMax) : void`

##### Parameters

$versionMin : int
$versionMax : int
$expectedMin : int
$expectedMax : int

##### Tags

dataProvider

  VersionMinMaxProvider

#### VersionMinMaxProvider()

QROptionsTest.php : 50
`public static VersionMinMaxProvider() : array<string|int, array<string|int, int>>`

##### Return values

array<string|int, array<string|int, int>>

#### VersionProvider()

QROptionsTest.php : 27
`public static VersionProvider() : array<string|int, array<string|int, int>>`

##### Return values

array<string|int, array<string|int, int>>

## Search results